This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1474825 - Upgrading Cloudforms 4.1 to 4.5 generates errors in evm.log [NEEDINFO]
Upgrading Cloudforms 4.1 to 4.5 generates errors in evm.log
Status: ASSIGNED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.8.0
All All
medium Severity medium
: GA
: cfme-future
Assigned To: Yuri Rudman
luke couzens
upgrade:black
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 09:20 EDT by Ryan Spagnola
Modified: 2017-10-19 20:09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core
mfeifer: needinfo? (myoder)


Attachments (Terms of Use)

  None (edit)
Description Ryan Spagnola 2017-07-25 09:20:32 EDT
Description of problem:
Upgrading Cloudforms 4.1 to 4.5 generates errors in evm.log

Version-Release number of selected component (if applicable):
Upgrading 5.6 -> 5.8

How reproducible:
Always

Steps to Reproduce:
1.https://access.redhat.com/documentation/en-us/red_hat_cloudforms/4.5/html-single/migrating_to_red_hat_cloudforms_4.5/#migrate_41-45


Actual results:
gem errors in evm.log

Expected results:
no gem errors in evm.log

Additional info:
While following https://access.redhat.com/documentation/en-us/red_hat_cloudforms/4.5/html-single/migrating_to_red_hat_cloudforms_4.5/#migrate_41-45 when I get to step 2.5.1.2 ```yum update``` something is generating the following errors in the evm.log

Ignoring bcrypt-3.1.10 because its extensions are not built.  Try: gem pristine bcrypt --version 3.1.10
Ignoring escape_utils-1.1.0 because its extensions are not built.  Try: gem pristine escape_utils --version 1.1.0
Ignoring eventmachine-1.0.7 because its extensions are not built.  Try: gem pristine eventmachine --version 1.0.7
Ignoring ffi-1.9.8 because its extensions are not built.  Try: gem pristine ffi --version 1.9.8
Ignoring hamlit-2.0.2 because its extensions are not built.  Try: gem pristine hamlit --version 2.0.2
Ignoring http_parser.rb-0.6.0 because its extensions are not built.  Try: gem pristine http_parser.rb --version 0.6.0
Ignoring json-1.8.2 because its extensions are not built.  Try: gem pristine json --version 1.8.2
Ignoring linux_block_device-0.1.0 because its extensions are not built.  Try: gem pristine linux_block_device --version 0.1.0
Ignoring memory_buffer-0.1.0 because its extensions are not built.  Try: gem pristine memory_buffer --version 0.1.0
Ignoring net_app_manageability-0.1.0 because its extensions are not built.  Try: gem pristine net_app_manageability --version 0.1.0
Ignoring nio4r-1.2.1 because its extensions are not built.  Try: gem pristine nio4r --version 1.2.1
Ignoring nokogiri-1.6.8 because its extensions are not built.  Try: gem pristine nokogiri --version 1.6.8
Ignoring pg-0.18.2 because its extensions are not built.  Try: gem pristine pg --version 0.18.2
Ignoring psych-2.0.13 because its extensions are not built.  Try: gem pristine psych --version 2.0.13
Ignoring puma-3.3.0 because its extensions are not built.  Try: gem pristine puma --version 3.3.0
Ignoring rugged-0.23.3 because its extensions are not built.  Try: gem pristine rugged --version 0.23.3
Ignoring thin-1.7.0 because its extensions are not built.  Try: gem pristine thin --version 1.7.0
Ignoring unf_ext-0.0.7.1 because its extensions are not built.  Try: gem pristine unf_ext --version 0.0.7.1
Ignoring websocket-driver-0.6.3 because its extensions are not built.  Try: gem pristine websocket-driver --version 0.6.3
rake aborted!
Bundler::GemNotFound: Could not find nokogiri-1.6.8 in any of the sources
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/spec_set.rb:87:in `block in materialize'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/spec_set.rb:81:in `map!'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/spec_set.rb:81:in `materialize'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/definition.rb:159:in `specs'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/definition.rb:218:in `specs_for'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/definition.rb:207:in `requested_specs'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/runtime.rb:109:in `block in definition_method'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/runtime.rb:21:in `setup'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler.rb:101:in `setup'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/setup.rb:20:in `<top (required)>'
/var/www/miq/vmdb/config/boot.rb:6:in `<top (required)>'
/var/www/miq/vmdb/config/application.rb:1:in `<top (required)>'
/var/www/miq/vmdb/Rakefile:5:in `<top (required)>'
/opt/rh/cfme-gemset/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'
LoadError: cannot load such file -- bundler/setup
/var/www/miq/vmdb/config/boot.rb:6:in `<top (required)>'
/var/www/miq/vmdb/config/application.rb:1:in `<top (required)>'
/var/www/miq/vmdb/Rakefile:5:in `<top (required)>'
/opt/rh/cfme-gemset/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'
(See full trace by running task with --trace)
Ignoring bcrypt-3.1.10 because its extensions are not built.  Try: gem pristine bcrypt --version 3.1.10
Ignoring escape_utils-1.1.0 because its extensions are not built.  Try: gem pristine escape_utils --version 1.1.0
Ignoring eventmachine-1.0.7 because its extensions are not built.  Try: gem pristine eventmachine --version 1.0.7
Ignoring ffi-1.9.8 because its extensions are not built.  Try: gem pristine ffi --version 1.9.8
Ignoring hamlit-2.0.2 because its extensions are not built.  Try: gem pristine hamlit --version 2.0.2
Ignoring http_parser.rb-0.6.0 because its extensions are not built.  Try: gem pristine http_parser.rb --version 0.6.0
Ignoring json-1.8.2 because its extensions are not built.  Try: gem pristine json --version 1.8.2
Ignoring linux_block_device-0.1.0 because its extensions are not built.  Try: gem pristine linux_block_device --version 0.1.0
Ignoring memory_buffer-0.1.0 because its extensions are not built.  Try: gem pristine memory_buffer --version 0.1.0
Ignoring net_app_manageability-0.1.0 because its extensions are not built.  Try: gem pristine net_app_manageability --version 0.1.0
Ignoring nio4r-1.2.1 because its extensions are not built.  Try: gem pristine nio4r --version 1.2.1
Ignoring nokogiri-1.6.8 because its extensions are not built.  Try: gem pristine nokogiri --version 1.6.8
Ignoring pg-0.18.2 because its extensions are not built.  Try: gem pristine pg --version 0.18.2
Ignoring psych-2.0.13 because its extensions are not built.  Try: gem pristine psych --version 2.0.13
Ignoring puma-3.3.0 because its extensions are not built.  Try: gem pristine puma --version 3.3.0
Ignoring rugged-0.23.3 because its extensions are not built.  Try: gem pristine rugged --version 0.23.3
Ignoring thin-1.7.0 because its extensions are not built.  Try: gem pristine thin --version 1.7.0
Ignoring unf_ext-0.0.7.1 because its extensions are not built.  Try: gem pristine unf_ext --version 0.0.7.1
Ignoring websocket-driver-0.6.3 because its extensions are not built.  Try: gem pristine websocket-driver --version 0.6.3
rake aborted!
Bundler::GemNotFound: Could not find nokogiri-1.6.8 in any of the sources
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/spec_set.rb:87:in `block in materialize'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/spec_set.rb:81:in `map!'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/spec_set.rb:81:in `materialize'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/definition.rb:159:in `specs'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/definition.rb:218:in `specs_for'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/definition.rb:207:in `requested_specs'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/runtime.rb:109:in `block in definition_method'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/runtime.rb:21:in `setup'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler.rb:101:in `setup'
/opt/rh/cfme-gemset/gems/bundler-1.15.0/lib/bundler/setup.rb:20:in `<top (required)>'
/var/www/miq/vmdb/config/boot.rb:6:in `<top (required)>'
/var/www/miq/vmdb/config/application.rb:1:in `<top (required)>'
/var/www/miq/vmdb/Rakefile:5:in `<top (required)>'
/opt/rh/cfme-gemset/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'
LoadError: cannot load such file -- bundler/setup
/var/www/miq/vmdb/config/boot.rb:6:in `<top (required)>'
/var/www/miq/vmdb/config/application.rb:1:in `<top (required)>'
/var/www/miq/vmdb/Rakefile:5:in `<top (required)>'
/opt/rh/cfme-gemset/gems/rake-12.0.0/exe/rake:27:in `<top (required)>'
(See full trace by running task with --trace)

However, nokogiri appears to installed?

# yum info rh-ruby23-rubygem-nokogiri.x86_64
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Installed Packages
Name        : rh-ruby23-rubygem-nokogiri
Arch        : x86_64
Version     : 1.6.8
Release     : 1.el7cf
Size        : 327 k
Repo        : installed
From repo   : cf-me-5.8-for-rhel-7-rpms
Summary     : An HTML, XML, SAX, and Reader parser
URL         : http://nokogiri.rubyforge.org/nokogiri/
License     : MIT
Description : Nokogiri is an HTML, XML, SAX, and Reader parser.  Among
            : Nokogiri's many features is the ability to search documents via XPath
            : or CSS3 selectors.
Comment 6 luke couzens 2017-10-06 10:32:10 EDT
I believe this is due to the fact we are upgrading ruby as part of the upgrade, nothing seems to break and the upgrade is successful. I do however see slightly different things in the logs, see http://pastebin.test.redhat.com/522470

It seems as if we upgrade ruby but something then tries to run against the old version.
Comment 8 luke couzens 2017-10-16 09:01:20 EDT
So this is basically what I was saying in my last comment, we upgrade and a ruby task fails to run, as you say the path is pointing to the old version. 

During the upgrade process we log out and back in after running yum update for this exact reason, so we reload the ruby config which fixes the path issues.

Note You need to log in before you can comment on or make changes to this bug.